<?php
namespace Controller;

use Util\InstanceProvider;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;

class TaskBranches extends \Generated\Controller\TaskBranches {

	public function save(DTO\Request $request, DTO\Response $response, $showMessage = true) {
        $dataSet = $request->getDataSet();
        $rows = $dataSet->getRows();
        foreach ($rows as &$row) {
            $row['ORGANIZATION'] = InstanceProvider::getEnvironment()->getCurrentOrganizationId();
        }
        $dataSet = new \Zeedhi\Framework\DataSource\DataSet($dataSet->getDataSourceName(),$rows);
        $request = new DTO\Request\DataSet($dataSet,$request->getMethod(),$request->getRoutePath(),$request->getUserId());

        $showMessage = $this->verifyShowMessage($dataSet);
        parent::save($request, $response, $showMessage);
    }

    public function delete(DTO\Request $request, DTO\Response $response, $showMessage = true) {
        $dataSet     = $request->getDataSet();
        $showMessage = $this->verifyShowMessage($dataSet);
        parent::delete($request, $response, $showMessage);
    }

    private function verifyShowMessage($dataSet) {      
        $showMessage = true;

        foreach ($dataSet->getRows() as $row) {
            if(isset($row['isMessage']) && $row['isMessage'] === false) {
                $showMessage = false;
                break;
            }
        }

        return $showMessage;
    }   
}